# Get Webhook (/api-reference/get-webhook)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 971 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Get Webhook

`GET /v0/webhooks/{webhook_id}`

Get Webhook

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "webhook_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "webhooksWebhookId",
        "type": "string",
        "description": "ID of webhook."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "webhooksWebhook",
            "type": "object",
            "properties": {
              "webhook_id": {
                "title": "webhooksWebhookId",
                "type": "string",
                "description": "ID of webhook."
              },
              "url": {
                "title": "webhooksUrl",
                "type": "string",
                "description": "URL of webhook endpoint."
              },
              "event_types": {
                "title": "EventTypes",
                "type": "array",
                "items": {
                  "title": "EventType",
                  "type": "string",
                  "enum": [
                    "message.received",
                    "message.sent",
                    "message.delivered",
                    "message.bounced",
                    "message.complained",
                    "message.rejected",
                    "domain.verified"
                  ]
                },
                "description": "Event types for which to send events."
              },
              "pod_ids": {
                "title": "PodIds",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Pods for which to send events. Maximum 10 per webhook."
              },
              "inbox_ids": {
                "title": "InboxIds",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Inboxes for which to send events. Maximum 10 per webhook."
              },
              "secret": {
                "type": "string",
                "description": "Secret for webhook signature verification."
              },
              "enabled": {
                "type": "boolean",
                "description": "Webhook is enabled."
              },
              "updated_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which webhook was last updated."
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which webhook was created."
              },
              "client_id": {
                "title": "webhooksClientId",
                "type": "string",
                "description": "Client ID of webhook."
              }
            },
            "required": [
              "webhook_id",
              "url",
              "secret",
              "enabled",
              "updated_at",
              "created_at"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
